Update Config
const url = 'https://api.exolink.cloud/tenant/example/lab/1/config';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.exolink.cloud/tenant/example/lab/1/config \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'Store a new version of the lab configuration and apply it to the running lab.
An app’s config is validated against the JSON Schema the app published (see …/schema).
A classic lab’s config needs a non-empty tabs array, a non-empty components array with
exactly one sqssubscribe and one snspublish component, and variables as a string.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Tenant domain prefix
Header Parameters
Section titled “Header Parameters”When set, the config’s variables are left out on read, and kept as stored on write
Request Bodyrequired
Section titled “Request Bodyrequired”The complete configuration
object
Example generated
{}Responses
Section titled “Responses”Configuration stored
object
Version ID of the stored configuration
The stored configuration
object
Example generated
{ "version": "example", "config": {}}Malformed request
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Bad Request", "errorCode": "ERR_API_BAD_REQUEST"}Missing, invalid or expired credentials
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}Resource not found
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Charger '7' not found", "errorCode": "ERR_API_RESOURCE_NOT_FOUND"}Validation or verification failed
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Missing parameter: displayName", "errorCode": "ERR_API_VALIDATION_FAILED"}